#include <cstdio>
#include <cstdlib>

// ===========================================================================
// Constantes.

const struct { int dl, dc; } DEP[4] = {
    {0,1}, {0,-1}, {-1,0}, {1,0}
};

// ===========================================================================
// Donnes globales.

int W, H;
int curSol = 0;
bool map[1000][1000];

// ===========================================================================
// Fonctions d'analyse de la grille.

bool isWhite(int l, int c)
{
    bool col = map[l][c];
    
    for (int v = 0; v < 4; v++) {
        int nc = c + DEP[v].dc;
        int nl = l + DEP[v].dl;
        if (nl >= 0 && nl < H && nc >= 0 && nc < W)
            col ^= map[nl][nc];
    }
    
    return !col;
}

bool mapSolved()
{
    for (int l = 0; l < H; l++)
        for (int c = 0; c < W; c++)
            if (isWhite(l, c))
                return false;
    
    return true;
}

// ===========================================================================
// Cet algorithme en O(W*H*2^H) est d  Mathias Hiron.

void completeMap()
{
    for (int l = 1; l < H; l++) {
        for (int c = 0; c < W; c++) {
            map[l][c] = false;
            map[l][c] = isWhite(l - 1, c);
        }
    }
}

void hironate(int c)
{
    if (c >= W) {
        completeMap();
        curSol += mapSolved();
    } else {
        map[0][c] = true;
        hironate(c + 1);
        map[0][c] = false;
        hironate(c + 1);
    }
}

// ===========================================================================
// Fonction principale.

int main()
{
    scanf("%d%d", &W, &H);    
    hironate(0);
    printf("%d solution(s) trouve(s).\n", curSol);
    return 0;
}
