#include <cstdio>
#include <cstdlib>

// ===========================================================================
// Constantes.

const struct { int dl, dc; } DEP[4] = {
    {0,1}, {0,-1}, {1,0}, {-1,0}
};

// ===========================================================================
// Donnes globales.

int W, H;
bool map[1000][1000];

// ===========================================================================
// Vrification des solutions.

bool check()
{
    for (int l = 0; l < H; l++) {
        for (int c = 0; c < W; c++) {
            int cpt = map[l][c];
            
            for (int v = 0; v < 4; v++) {
                int nc = c + DEP[v].dc;
                int nl = l + DEP[v].dl;
                if (nl >= 0 && nl < H && nc >= 0 && nc < W)
                    cpt += map[nl][nc];
            }
            
            if (cpt % 2 == 0)
                return false;
        }
    }
    
    return true;
}

// ===========================================================================
// Fonctions d'affichage des solutions.

void printMap()
{
    for (int l = 0; l < H; l++) {
        for (int c = 0; c < W; c++)
            putchar(map[l][c] ? '#' : '_');
        putchar('\n');
    }
}

void writeSolution()
{
    char fstr[42];
    sprintf(fstr, "grille-%02dx%02d.txt", W, H);
    freopen(fstr, "w", stdout);
    printMap();
}

// ===========================================================================
// Algorithme bourrin de recherche.

void bourrinate(int l, int c)
{
    if (c >= W) {
        c = 0;
        l++;
    }
    
    if (l == H && c == 0) {
        if (check()) {
            printMap();
            writeSolution();
            exit(0);
        }
    } else {    
        map[l][c] = true;
        bourrinate(l, c + 1);
        map[l][c] = false;
        bourrinate(l, c + 1);
    }
}

// ===========================================================================
// Fonction principale.

int main()
{
    scanf("%d%d", &W, &H);    
    bourrinate(0, 0);
    printf("Aucune solution ?\n");
    return 0;
}
